Subject: Re: pasting a password

From: Chong Yidong <[email-masked]>
Date: Sun, 16 Nov 2008 16:07:42 -0500

[email-masked] writes:

> Regarding those mile long one-time passwords that we are supposed to
> paste into our browsers, etc.:
>
> Some people also wish to paste the password into the box with the
> mouse too (middle button). Therefore please roll back all that extra
> security, and just do the plain echo asterisks, like firefox or
> whatever.
>
> Speaking about M-y. I am a old dog who still types ESC instead of
> Meta-key for the M- stuff -- never learned new tricks.

I added a C-y binding to read-passwd.  More complicated stuff, such as
allowing mouse pastes, will have to wait for a isearch-like rewrite of
read-passwd, as Stefan said.

(Also, we should probably document the keybindings that can be used to
enter passwords into the Emacs manual.  I'll add a new node for it.)